"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const services_1 = require("../services");
class Content extends core_1.Command {
    async run() {
        const { args } = await this.parse(Content);
        switch (args.command) {
            case 'mail':
                await new services_1.MailToJsonService().execute();
                break;
            case 'template':
                const { description } = args;
                if (!description)
                    throw new Error('Missing description');
                await new services_1.CreateContentTemplateService().execute(description);
                break;
            case 'validate':
                await new services_1.ValidatesContentService().execute();
                break;
        }
        this.config;
    }
}
exports.default = Content;
Content.description = 'Generate or validate content file';
Content.examples = [
    '<%= config.bin %> <%= command.id %> mail',
    '<%= config.bin %> <%= command.id %> template [DESCRIPTION]',
    '<%= config.bin %> <%= command.id %> validate',
];
Content.args = [
    {
        name: 'command',
        required: true,
        description: 'Command to run',
        options: ['mail', 'template', 'validate'],
    },
    {
        name: 'description',
        required: false,
        description: 'Description of the template',
    },
];
