"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const defaultPaths_1 = require("../config/defaultPaths");
class Info extends core_1.Command {
    async run() {
        const { args, flags: { dir }, } = await this.parse(Info);
        switch (args.about) {
            case 'content':
                if (dir) {
                    this.log(await defaultPaths_1.getPath('content'));
                }
                break;
            case 'tmp':
                if (dir) {
                    this.log(await defaultPaths_1.getPath('tmp'));
                }
                break;
        }
        this.config;
    }
}
exports.default = Info;
Info.description = 'Get info about the CLI';
Info.examples = [
    '<%= config.bin %> <%= command.id %>',
    '<%= config.bin %> <%= command.id %>',
    '<%= config.bin %> <%= command.id %>',
];
Info.flags = {
    dir: core_1.Flags.boolean({
        char: 'd',
        description: 'Get content directory path',
    }),
};
Info.args = [
    {
        name: 'about',
        required: true,
        description: 'About what you want infos?',
        options: ['content', 'tmp'],
    },
];
