"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Arc = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const remotion_1 = require("remotion");
const Arc = ({ rotation }) => {
    const frame = remotion_1.useCurrentFrame();
    const { height, width, fps } = remotion_1.useVideoConfig();
    const rx = 180;
    const ry = 400;
    const arcLength = Math.PI * 2 * Math.sqrt((rx * rx + ry * ry) / 2);
    const progress = remotion_1.spring({
        frame: frame,
        fps,
        config: {
            damping: 100,
            mass: 10,
        },
    });
    const opacity = remotion_1.interpolate(progress, [0, 0.2], [0, 0.7], {
        extrapolateRight: 'clamp',
        extrapolateLeft: 'clamp',
    });
    const strokeWidth = remotion_1.interpolate(progress, [0, 1], [200, 60]);
    return (jsx_runtime_1.jsx("g", Object.assign({ style: {
            transform: `rotate(${rotation}deg)`,
            opacity,
            transformOrigin: '50% 50%',
        } }, { children: jsx_runtime_1.jsx("ellipse", { cx: width / 2, cy: height / 2, x: width / 2, y: height / 2, rx: rx, ry: ry, strokeLinecap: "round", strokeDasharray: `${arcLength}`, strokeDashoffset: (1 - progress) * arcLength, stroke: "url(#lg)", strokeWidth: strokeWidth, fill: "none" }, void 0) }), void 0));
};
exports.Arc = Arc;
